Bug 117581 - Draw/Impress table selection doesn't follow/move when moving the table
Summary: Draw/Impress table selection doesn't follow/move when moving the table
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Writer-Tables-Select
  Show dependency treegraph
 
Reported: 2018-05-12 15:48 UTC by Telesto
Modified: 2018-07-23 12:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-05-12 15:48:30 UTC
Description:
Draw/Impress table selection doesn't follow/move when moving the table

Steps to Reproduce:
1. Insert a table
2. Select a few or all table cell's 
3. Drag the table to a different place. The blue table selecting stays behind (until deselection)

Actual Results:  
Blue table selection stays behind

Expected Results:
Shouldn't happen


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.1.0.0.alpha1+
Build ID: c5f8a296fcfc08f8ac441cb8300a7565caa50b53
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-05-10_03:01:48
Locale: nl-NL (nl_NL); Calc: CL


User-Agent: Mozilla/5.0 (Windows NT 6.3; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 raal 2018-05-15 17:10:46 UTC
I can confirm with Version: 6.1.0.0.alpha1+
Build ID: 96337c845c026236975d6a8af52867a5e8d28430
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 

works in 5.1.6.2, regression
Comment 2 raal 2018-05-16 14:11:13 UTC
This seems to have begun at the below commit.
Adding Cc: to Daniel; Could you possibly take a look at this one? Thanks

0d78ff195cbfd4e7fe619c1caf5d434c62af369a is the first bad commit
commit 0d78ff195cbfd4e7fe619c1caf5d434c62af369a
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Mon Dec 11 22:58:20 2017 -0800

    source sha:9b5062a3eeed6b94a2020b97f6dab9316af5d357

    author    Daniel <danielfaleirosilva@gmail.com>    2017-11-29 00:26:43 -0200
committer    Caolán McNamara <caolanm@redhat.com>    2017-11-30 14:01:46 +0100
commit    9b5062a3eeed6b94a2020b97f6dab9316af5d357 (patch)
tree    22bba21c58134a35b9c4aa6b1e1243e17a468cc4
parent    5cb5516c0d8928bebbdb3bfaa2cefd43b159ccca (diff)
tdf#111773 tdf#111780 Fix selection after merge cells in an Impress table
Comment 3 Daniel Silva 2018-05-17 13:36:30 UTC
(In reply to raal from comment #2)
> This seems to have begun at the below commit.
> Adding Cc: to Daniel; Could you possibly take a look at this one? Thanks
> 
> 0d78ff195cbfd4e7fe619c1caf5d434c62af369a is the first bad commit
> commit 0d78ff195cbfd4e7fe619c1caf5d434c62af369a
> Author: Norbert Thiebaud <nthiebaud@gmail.com>
> Date:   Mon Dec 11 22:58:20 2017 -0800
> 
>     source sha:9b5062a3eeed6b94a2020b97f6dab9316af5d357
> 
>     author    Daniel <danielfaleirosilva@gmail.com>    2017-11-29 00:26:43
> -0200
> committer    Caolán McNamara <caolanm@redhat.com>    2017-11-30 14:01:46
> +0100
> commit    9b5062a3eeed6b94a2020b97f6dab9316af5d357 (patch)
> tree    22bba21c58134a35b9c4aa6b1e1243e17a468cc4
> parent    5cb5516c0d8928bebbdb3bfaa2cefd43b159ccca (diff)
> tdf#111773 tdf#111780 Fix selection after merge cells in an Impress table

Yes, it was indeed a bad commit. I submitted a new patch that tries to fix this bug without causing the bugs I fixed with my previous commit: https://gerrit.libreoffice.org/#/c/54493/
Comment 4 Commit Notification 2018-05-21 13:52:48 UTC
Daniel committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7c5f1caa775e6a3d178c7dae7171d3fca2874635

tdf#117581 impress: fix selection overlay after moving table

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2018-06-21 15:16:46 UTC
A polite ping to Daniel:
Is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Otherwise, Could you please explain what's missing?
Thanks
Comment 6 Xisco Faulí 2018-07-23 12:04:35 UTC
(In reply to Xisco Faulí from comment #5)
> A polite ping to Daniel:
> Is this bug fixed? if so, could you please close it as RESOLVED FIXED ?
> Otherwise, Could you please explain what's missing?
> Thanks

Verified in

Version: 6.2.0.0.alpha0+
Build ID: 934c7fdd23c95858fba022ba1fe7c00d23f502b5
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded